---
title: 'Get mint status'
description: 'Get the status of a mint'
openapi: GET /api/minting/status/{id}
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/minting/status/{id}` — path parameters: `id`

`GET https://admin.snagsolutions.io/api/minting/status/{id}`

Get the status of a mint

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Path parameters

- `id` (string, required)

## Response 200

200
  - response (object)
    - `errorCode` (number, required)
    - `errorMessage` (string, required)
    - `relayerTxId` (string, required)
    - `price` (number, required)
    - `status` (string, required, one of: minted, minting, failed, generatingSignature)
    - `txHash` (string, required)

## Response 304

304
  - response (object) — Schema for not modified response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object) — Schema for not found response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
